Package org.bukkit.entity

# Enum Class Horse.Color

java.lang.Object
java.lang.Enum<Horse.Color>
org.bukkit.entity.Horse.Color

All Implemented Interfaces:
  `Serializable`, `Comparable<Horse.Color>`, `Constable`

Enclosing interface:
  Horse

public static enum Horse.Color extends Enum<Horse.Color>
Represents the base color that the horse has.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK`
Pitch black
`BROWN`
Light brown
`CHESTNUT`
Chestnut
`CREAMY`
Very light brown
`DARK_BROWN`
Dark brown
`GRAY`
Gray
`WHITE`
Snow white

## Method Summary

Modifier and Type
Method
Description
`static Horse.Color`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Horse.Color[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WHITE

public static final Horse.Color WHITE
Snow white

### CREAMY

public static final Horse.Color CREAMY
Very light brown

### CHESTNUT

public static final Horse.Color CHESTNUT
Chestnut

### BROWN

public static final Horse.Color BROWN
Light brown

### BLACK

public static final Horse.Color BLACK
Pitch black

### GRAY

public static final Horse.Color GRAY
Gray

### DARK_BROWN

public static final Horse.Color DARK_BROWN
Dark brown

## Method Details

### values

public static Horse.Color[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Horse.Color valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null